# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++ pkgconfig(CEGUI-0-IRRLICHT)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           puzzlemoppet
Version:        20150420
Release:        alt2_8
Summary:        Challenging 3D puzzle game
Group:          Games/Arcade
License:        WTFPL and CC-BY-SA 3.0 and GPLv3+
URL:            https://bitbucket.org/Knitter/puzzlemoppet
Source0:        %{name}-%{version}.tar.xz
Patch0:         puzzlemoppet-20141011-mga-install-paths.patch

BuildRequires:  cmake
BuildRequires:  libirrlicht-devel
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(xrandr)
Source44: import.info

%description
A challenging 3D puzzle game where you must guide the Moppet through the vast
and eternal void of space by solving the various and beautiful puzzles thrown
at you.

%prep
%setup -q
%patch0 -p1


%build
%{mageia_cmake} -DBUILD_FOR_INSTALL=ON
%mageia_cmake_build

%install
%mageia_cmake_install

install -D -m644 icons/main.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Puzzle Moppet
GenericName=3D puzzle game
Comment=Challenging 3D puzzle game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
Terminal=false
EOF

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 20150420-alt2_8
- update by mgaimport

* Sun Mar 06 2022 Cronbuild Service <cronbuild@altlinux.org> 20150420-alt2_7
- rebuild to get rid of unmets

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 20150420-alt1_7
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 20150420-alt1_6
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 20150420-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 20150420-alt1_4
- new version

